<template>
    <div>
        <h2 class="mt-1">Отзывы <span class="text-secondary">{{ratingCount}}</span></h2>
        <div v-if="comments.length > 0" class="container">
            <div class="row">
                <div class="col-12 mt-2" v-for="(comment, index) in comments" :key="index">
                    <div class="card card-white post">
                        <div class="post-heading">
                            <div class="float-left image">
                                <i class="fas fa-user avatar" aria-hidden="true"></i>
                            </div>
                            <div class="float-left meta">
                                <div class="title">
                                    <b>{{comment.user_name}}</b>
                                    <star-rating 
                                        active-color="#ff1f2b"
                                        :rating="comment.rating"
                                        :increment="0.5"
                                        :read-only="true"
                                        :inline="true"
                                        :show-rating="false"
                                        :star-size="15" />
                                </div>
                                <h6 class="text-muted time">
                                    {{comment.date}}
                                </h6>
                            </div>
                        </div>
                        <div class="post-description"> 
                            <p>{{comment.comment}}</p>

                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="alert alert-secondary mt-2" v-else>
            У этого товара нет отзывов.
        </div>
    </div>
</template>

<script>
    import axios from 'axios';
    import StarRating from 'vue-star-rating';
    import { ratingBus } from '../../app'

    export default {
        components: {
            StarRating
        },
        props: {
            productId: {
                type: String,
                required: true
            },
            ratingCount: {
                type: String,
                required: true
            },
        },
        data() {
            return {
                comments: [],
            }
        },
        methods: {
            getComments() {
                axios.get('/product/rating/get/' + this.productId)
                    .then(({data}) => {
                        this.comments = data;
                    });
            }
        },
        mounted() {
            this.getComments();
        },
        created() {
            ratingBus.$on('loadPosts', () => {
                this.getComments();
            })
        }
    }
</script>